#include <iostream>
long long sto[1000000];
long long vis[1000000];

using namespace std;

int main()
{
    long long n, i, ans=0;
    cin >> n;
    for(i=0; i<n; i++)
    {
        cin >> vis[i];
    }
    for(i=0; i<n; i++)
    {
        cin >> sto[i];
    }
    if(n==1)
    {
        ans=sto[0];
    }
    else
    {
        i=0;
        long long k, m, x, y;
        while(i<n-1)
        {
            while(vis[i]<vis[i+1])
            {
                i++;
            }
            k=i;
            x=sto[k-1]+sto[k];
            y=sto[k]+sto[k+1];
            if(x<y)
            {
                ans+=sto[k]+sto[k-1];
            }
            else
            {
                ans+=sto[k]+sto[k+1];
            }
            i=k+1;
            while(vis[i+1]<vis[i] && i<n-1)
            {
                i++;
            }
            m=i;
            i=m+1;

        }
    }
    cout << ans;
    return 0;
}
